php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #62105 Couldn't install the latest release
Submitted: 2012-05-22 07:40 UTC Modified: 2012-05-22 08:43 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: rauan1987 at gmail dot com Assigned:
Status: Open Package: amqp (PECL)
PHP Version: 5.3.5 OS: CentOS 5.5 x86_64
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please — but make sure to vote on the bug!
Your email address:
MUST BE VALID
Solve the problem:
1 + 12 = ?
Subscribe to this entry?

 
 [2012-05-22 07:40 UTC] rauan1987 at gmail dot com
Description:
------------
I'm trying to install the latest release, but there are conflicts with 
librabbitmq. 
If I try to clone http://hg.rabbitmq.com/rabbitmq-c/rev/b01825ecc112 it returns 
404, so I had to download it as bzip2 archive. After installing librabbitmq from 
github pecl install returns:

/tmp/pear/temp/amqp/amqp_exchange.c: In function 
‘zim_amqp_exchange_class_declare’:
/tmp/pear/temp/amqp/amqp_exchange.c:481: error: incompatible type for argument 7 
of ‘amqp_exchange_declare’
/tmp/pear/temp/amqp/amqp_exchange.c:481: error: too few arguments to function 
‘amqp_exchange_declare’
/tmp/pear/temp/amqp/amqp_exchange.c: In function ‘zim_amqp_exchange_class_bind’:
/tmp/pear/temp/amqp/amqp_exchange.c:839: error: ‘amqp_exchange_bind_t’ undeclared 
(first use in this function)
/tmp/pear/temp/amqp/amqp_exchange.c:839: error: (Each undeclared identifier is 
reported only once
/tmp/pear/temp/amqp/amqp_exchange.c:839: error: for each function it appears in.)
/tmp/pear/temp/amqp/amqp_exchange.c:839: error: expected ‘;’ before ‘s’
/tmp/pear/temp/amqp/amqp_exchange.c:840: error: ‘s’ undeclared (first use in this 
function)
/tmp/pear/temp/amqp/amqp_exchange.c:851: error: ‘AMQP_EXCHANGE_BIND_OK_METHOD’ 
undeclared (first use in this function)
/tmp/pear/temp/amqp/amqp_exchange.c:855: error: ‘AMQP_EXCHANGE_BIND_METHOD’ 
undeclared (first use in this function)
make: *** [amqp_exchange.lo] Error 1
ERROR: `make' failed

Test script:
---------------
wget http://hg.rabbitmq.com/rabbitmq-c/archive/b01825ecc112.tar.bz2
tar -jxvf b01825ecc112.tar.bz2
mv rabbitmq-c-b01825ecc112 rabbitmq-c
cd rabbitmq-c
wget http://hg.rabbitmq.com/rabbitmq-codegen/archive/16bbcb711380.tar.bz2
tar -jxvf 16bbcb711380.tar.bz2
mv rabbitmq-codegen-16bbcb711380 codegen

autoreconf -i && ./configure && make && sudo make install


pecl install amqp


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2012-05-22 08:33 UTC] rauan1987 at gmail dot com
I tried other ways to install librabbitmq, here what i've got from pecl install:

running: make
/bin/sh /var/tmp/pear-build-root/amqp-1.0.3/libtool --mode=compile cc  -I. -
I/tmp/pear/temp/amqp -DPHP_ATOM_INC -I/var/tmp/pear-build-root/amqp-1.0.3/include 
-I/var/tmp/pear-build-root/amqp-1.0.3/main -I/tmp/pear/temp/amqp -
I/usr/local/php5/include/php -I/usr/local/php5/include/php/main -
I/usr/local/php5/include/php/TSRM -I/usr/local/php5/include/php/Zend -
I/usr/local/php5/include/php/ext -I/usr/local/php5/include/php/ext/date/lib -
I/usr/local/include  -DHAVE_CONFIG_H  -g -O2   -c /tmp/pear/temp/amqp/amqp.c -o 
amqp.lo
mkdir .libs
 cc -I. -I/tmp/pear/temp/amqp -DPHP_ATOM_INC -I/var/tmp/pear-build-root/amqp-
1.0.3/include -I/var/tmp/pear-build-root/amqp-1.0.3/main -I/tmp/pear/temp/amqp -
I/usr/local/php5/include/php -I/usr/local/php5/include/php/main -
I/usr/local/php5/include/php/TSRM -I/usr/local/php5/include/php/Zend -
I/usr/local/php5/include/php/ext -I/usr/local/php5/include/php/ext/date/lib -
I/usr/local/include -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/temp/amqp/amqp.c  -fPIC -
DPIC -o .libs/amqp.o
/tmp/pear/temp/amqp/amqp.c: In function ‘amqp_error’:
/tmp/pear/temp/amqp/amqp.c:529: error: ‘amqp_rpc_reply_t’ has no member named 
‘library_error’
make: *** [amqp.lo] Error 1
ERROR: `make' failed
 [2012-05-22 08:33 UTC] rauan1987 at gmail dot com
-PHP Version: 5.3.13 +PHP Version: 5.3.5
 [2012-05-22 08:43 UTC] rauan1987 at gmail dot com
Finally solved it. Please correct the instructions to install librabbitmq, here 
are simple steps:


git clone http://github.com/rabbitmq/rabbitmq-codegen/
git clone http://github.com/alanxz/rabbitmq-c

cd rabbitmq-c

autoreconf -i && ./configure && make && make install
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Fri Dec 13 05:01:26 2019 UTC